com.sun.jna.platform.win32

## Class Winspool.PRINTER_NOTIFY_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winspool.PRINTER_NOTIFY_INFO

- Enclosing interface:
    Winspool

      @Structure.FieldOrder(value={"Version","Flags","Count","aData"})
      public static class Winspool.PRINTER_NOTIFY_INFO
      extends Structure

  The PRINTER_NOTIFY_INFO structure contains printer information returned by the FindNextPrinterChangeNotification function. The function returns this information after a wait operation on a printer change notification object has been satisfied.
  See Also:
    PRINTER_NOTIFY_INFO structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Winspool.PRINTER_NOTIFY_INFO_DATA[]` | `aData` An array of PRINTER_NOTIFY_INFO_DATA structures.
    `int` | `Count` The number of PRINTER_NOTIFY_INFO_DATA elements in the aData array.
    `int` | `Flags` A bit flag that indicates the state of the notification structure.
    `int` | `Version` The version of this structure.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PRINTER_NOTIFY_INFO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `read()` Reads the fields of the struct from native memory

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### Version

          public int Version

      The version of this structure. Set this member to 2.

    - #### Flags

          public int Flags

      A bit flag that indicates the state of the notification structure. If the PRINTER_NOTIFY_INFO_DISCARDED bit is set, it indicates that some notifications had to be discarded.

    - #### Count

          public int Count

      The number of PRINTER_NOTIFY_INFO_DATA elements in the aData array.

    - #### aData

          public Winspool.PRINTER_NOTIFY_INFO_DATA[] aData

      An array of PRINTER_NOTIFY_INFO_DATA structures. Each element of the array identifies a single job or printer information field, and provides the current data for that field.

  - ### Constructor Detail

    - #### PRINTER_NOTIFY_INFO

          public PRINTER_NOTIFY_INFO()

  - ### Method Detail

    - #### read

          public void read()

      Description copied from class: `Structure`
      Reads the fields of the struct from native memory
      Overrides:
        `read` in class `Structure`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.